/*
Theme Name:     Gridhot-Enfant v.1.0.2
Description:    Thème-enfant de GridHot 1.0.6 pour site Ruspantini Architectes
Author:         Flobogo
Author URI:     https://www.mon-coin-de-bourgogne.fr
Template:       gridhot                         
Version:        0.1.
*/


/* Appel Font Roboto */
@font-face {
    font-family: 'Roboto';
    src: url('fonts/roboto.woff2') format('woff2');
    font-weight: normal;
    font-style: normal;
    font-display: swap;
}
/* roboto-regular - latin */
@font-face {
  font-display: swap;
  font-family: 'Roboto';
  font-style: normal;
  font-weight: 400;
  src: url('../fonts/roboto-v51-latin-regular.woff2') format('woff2'); /* Chrome 36+, Opera 23+, Firefox 39+, Safari 12+, iOS 10+ */
}
/* roboto-500 - latin */
@font-face {
  font-display: swap;
  font-family: 'Roboto';
  font-style: normal;
  font-weight: 500;
  src: url('../fonts/roboto-v51-latin-500.woff2') format('woff2'); /* Chrome 36+, Opera 23+, Firefox 39+, Safari 12+, iOS 10+ */
}
/* roboto-800 - latin */
@font-face {
  font-display: swap;
  font-family: 'Roboto';
  font-style: normal;
  font-weight: 800;
  src: url('../fonts/roboto-v51-latin-800.woff2') format('woff2'); /* Chrome 36+, Opera 23+, Firefox 39+, Safari 12+, iOS 10+ */
}

body {font-family: 'Roboto',"Open Sans", Arial, sans-serif;}
.entry-title, h1, h2, h3, h4, h5, p, a {font-family: 'Roboto',"Open Sans", Arial, sans-serif;}
.entry-title {font-size: 2.5em;}
.has-normal-font-size, .has-regular-font-size {font-size: 1.2em;}
.has-medium-font-size {font-size: 1.5em;}
.gridhot-page-header h1 {font-family: 'Roboto',"Open Sans", Arial, sans-serif; font-size: 2.2em; padding: 15px 0;}
.entry-content p, .taxonomy-description p {font-size: 1.2em;}

/* Appel Icones FontAwesome */
.icon::before, .icon::after { 
    display: inline-block;
    text-rendering: auto;
    -webkit-font-smoothing: antialiased;
  }
/* Source : https://www.notuxedo.com/blog/design/installer-fontawesome/#comment-afficher-des-icones-fontawesome */

/* En-tete */
.gridhot-outer-wrapper {max-width: 1200px; overflow: hidden;}
.gridhot-header-inside {background-color: #10069f; padding: 0.3em;}
.gridhot-site-header {position: relative !important;}
.gridhot-titre {padding: 20px 0 15px 0;}
.gridhot-header-social-icons {top: 10px;}
.gridhot-site-description {font-family: 'Roboto',"Open Sans", Arial, sans-serif; font-size: 1.1em;}


/* Menus */
.gridhot-secondary-nav-menu a:hover, .gridhot-secondary-nav-menu a:focus, .gridhot-secondary-nav-menu .sub-menu .current-menu-item > a:hover, .gridhot-secondary-nav-menu .sub-menu .current-menu-item > a:focus, .gridhot-secondary-nav-menu .children .current_page_item > a:hover, .gridhot-secondary-nav-menu .children .current_page_item > a:focus, .gridhot-secondary-nav-menu .children .current_page_item > a:active {background-color: #222222;}
.gridhot-secondary-nav-menu a:active, .gridhot-secondary-nav-menu .current-menu-item > a:active, .gridhot-secondary-nav-menu .sub-menu .current-menu-item > a:active {background-color: #10069f;}
.gridhot-secondary-nav-menu .current_page_item > a, .gridhot-secondary-nav-menu .current-menu-item > a {background-color: #10069f;}
.gridhot-primary-nav-menu li > a:hover {background-color: #222222;}
.gridhot-primary-nav-menu > li.menu-item-has-children > a:hover {background-color: #222222 !important; color: #fff;}
.gridhot-primary-nav-menu .current_page_item > a, .gridhot-primary-nav-menu .current-menu-item > a {color: #10069f;}
/* class pour mettre categorie projets ou copro en couleur */
#top-navigation.projets #menu-item-6863 > a, #top-navigation.projets #menu-item-1012 > a, #top-navigation.projets #menu-item-1498 > a {
	background-color: #10069f;
	color: #fff !important;
}
#top-navigation.copro #menu-item-610 > a, #top-navigation.copro #menu-item-1014 > a, #top-navigation.copro #menu-item-1499 > a {
	background-color: #10069f;
	color: #fff !important;
}

/* .gridhot-header-inside-container {display: inline-block !important;} */
.gridhot-header-menu {background-color: #ccc; max-width: 100%; overflow: hidden; width: 100%;}
.gridhot-header-inside {box-shadow: none;}
.gridhot-secondary-responsive-menu-icon {background: #333333; border: 1px solid #555555;}

.gridhot-nav-secondary {background-color: #ccc; color: #10069f; padding: 6px;}
.gridhot-nav-primary {float: left; margin: 6px; width: 70%;}
.gridhot-secondary-nav-menu > li > a, .gridhot-primary-nav-menu > li > a {color: #10069f; font-size: 1.25em; text-transform: none; text-shadow: none;}
.gridhot-secondary-nav-menu .current_page_item > a {background-color: #10069f;}
.gridhot-secondary-nav-menu .current-menu-item > a {background-color: #10069f;}

/* Layouts */
/* Si full-width est actif, on neutralise le layout sidebar */
/* Essais
body.gridhot-layout-full-width.gridhot-layout-c-s1 .content-area {
    width: 100%;
    max-width: 100%;
    flex: 0 0 100%;
}
body.gridhot-layout-full-width.gridhot-layout-c-s1 .sidebar {
    display: none;
}
body.gridhot-layout-full-width.gridhot-layout-c-s1 .container {
    max-width: 1200px;
    width: 100%;
}
*/



/* Footer */
#lra-footer-custom {background-color: #10069f; display: block; width: 100%;}
#lra-footer {max-width: 100%;}
#gridhot-copyright-area.gridhot-copyright-area-inside {
  margin: 0 3em;
  color: #eeeeee;
}
#gridhot-copyright-area {background-color: #10069f; display: block; float: left; margin: 0 3em; text-align: left; width: 35%;}
#footer-menu {float: right; max-width: 45%; margin-right: 3em;}
#footer-navigation {background-color: #10069f; border-bottom: none;}
ul.lra-menu-footer {margin: 1em 2em;}
#footer-menu li {display: inline; margin-right: 1.4em;}
#footer-menu li + li::before {content: "-"; color: #1b9fd0; font-weight: bold; margin-right: 1.4em;}
.lra-menu-footer a {color: #1b9fd0; text-transform: none;}
.lra-menu-footer a:hover {color: #fff;}
.gridhot-scroll-top {opacity: .6;}

/* Contenu pages et titres */
.single-perso-full-width {max-width: 1200px;}
.gridhot-layout-c-s1 .gridhot-main-wrapper {max-width: 100%; width: 100%;}
body.page .entry-title {margin: 0.5em auto;}
.gridhot-page-header-outside {margin: 0 0 2.8em 0;}
.gridhot-entry-meta-single {padding-bottom: 1em;}
.gridhot-grid-footer-meta {text-transform: none;}
textarea, .comments-area .comment-form-comment textarea {margin: 0; padding: 0;}

input[type="submit"]:hover {background-color: #10069f;}

/* Image en avant sur Article */
/* .gridhot-post-thumbnail-single-img {max-width: 80% !important;}
.perso-post-thumbnail-single img {max-width: 80%;} */
.lra-thumbnail-single-img {
  display: block;
  padding: 0;
  margin: 0 auto;
  text-align: center;
  max-width: 80%;
}

/* Page Accueil */
.home .wp-block-image {border: solid 2px black;}
.wp-block-image .aligncenter > figcaption, .wp-block-image .alignleft > figcaption, .wp-block-image .alignright > figcaption {text-align: center;}

/* CSS perso */
div#champs-perso {clear: both;}
.saut {clear: both;}
.gridhot-uc-links .liste-atelier a {text-decoration: none;}
.liste-atelier a:hover {background-color: #10069f; color: #fff; text-decoration: none; padding: 0.2em 1.1em 0.2em;}
/*
.liste-atelier a::after {
  content: '>>';
  margin-left: 0.5em;
}
*/
.liste-atelier a::after {
  font-family: Font Awesome;
  font: var(--fa-font-solid);
  content: "\f30b";
  position: relative;
  left: 0.7em;
}
.alignnone.wp-image-1733 {
  display: inline;
  margin-right: 3em;
}
.alignnone.wp-image-1734 {display: inline;}

/* Effets sur images accueil */
.survol-fade { opacity: 1; transform: translateY(0); transition: opacity 0.4s ease, transform 0.4s ease; } 
.survol-fade:hover { opacity: .5; transform: translateY(10px); }

.zoom img {
	-webkit-transform: scale(1);
	transform: scale(1);
	-webkit-transition: .3s ease-in-out;
	transition: .3s ease-in-out;
}
.zoom :hover img {
	-webkit-transform: scale(1.3);
	transform: scale(1.3);
}

/* Media Queries */

@media only screen (min-width: 600px) and (max-width: 1112px) {
  ul.gridhot-primary-nav-menu {width: 60%;}
}
@media only screen and (max-width: 1200px) {
	#footer-menu {width: 45%; max-width: 45%;}
}
@media only screen and (max-width: 999px) {
	.gridhot-primary-mobile-menu-active .gridhot-primary-nav-menu.gridhot-primary-responsive-menu > .menu-item-has-children::before, .gridhot-primary-mobile-menu-active .gridhot-primary-nav-menu.gridhot-primary-responsive-menu > .page_item_has_children::before {color: #333333; text-shadow: none;}
	#lra-footer-custom {max-width: 99%;}
	#footer-menu li {display: flex;}
	#gridhot-copyright-area {max-width: 90%;}
	#gridhot-copyright-area.gridhot-copyright-area-inside {margin: 0.1em;}
}
@media only screen and (max-width: 599px){
	ul.gridhot-primary-nav-menu {width: 85%;}
}